=== debian/changelog ===
lxqt-sudo (2.2.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 14 Aug 2025 00:14:48 +0800

lxqt-sudo (2.2.0-1~exp1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/upstream: Fix broken signing-key.asc

  [ Macy Lin ]
  * New upstream version 2.2.0
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Fri, 08 Aug 2025 11:06:03 +0200

lxqt-sudo (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * build-deps on liblxqt-dev (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Fri, 06 Dec 2024 15:13:53 +0100

lxqt-sudo (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:33:14 +0100

lxqt-sudo (2.0.0-1~exp1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.0.0

  [ Severus Septimius ]
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev

  [ Andrew Lee (李健秋) ]
  * Removing whitespaces at EOL and EOF.
  * debian/copyright: update.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: recommends on lxqt-qtplugin (>= 2.0.0~).
  * debian/control: build-deps on libglib2.0-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 14:34:31 +0200
