=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.2.0~),
-               lxqt-build-tools (>= 2.2.0~),
+               liblxqt-dev (>= 2.3.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-tools-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-sudo
@@ -20,7 +20,7 @@
 Package: lxqt-sudo
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: lxqt-qtplugin (>= 2.0.0~), lxqt-sudo-l10n
+Recommends: lxqt-qtplugin (>= 2.3.0~), lxqt-sudo-l10n
 Description: Graphical Qt frontend for plain sudo
  lxqt-sudo is a graphical Qt frontend for plain sudo(8) (for requesting
  optional password in GUI fashion). When invoked it simply spawns child sudo
